<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<!-- start of bootstrap link -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
		<!-- End of bootstrap link -->

		<title>Bootstrap Introduction and Simple Styles</title>
	</head>
	<body class="text-center bg-secondary">

		<!-- 
		1. - .25rem
		2. - .5rem
		3. - 1rem
		4. - 1.5rem
		5. - 3rem

		m - margin
		p - padding
		(add "t", "b", "l", "r" for the direction)
		mx - margin left and right
		my - margin top and bottom
	 -->

	 	<!-- 
	 		for width sizes:
	 		25 - 25%
	 		50 - 50%
	 		75 - 75%
	 		100 - 100%

	 		 -->

	 		 	<!-- navbar -->
		<div class="bg-primary text-light fixed-top p-1">
			Fixed Top - Navbar
		</div>
		<!-- end of navbar -->

		<!-- header -->
		<div class="mt-5">
			<h1>Bootstrap Introduction and Simple Styles</h1>

			<div class="d-none d-lg-inline-block w-25 mt-4">
				<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
			</div>
		</div>
		<!-- end of header -->

		<h2>Bootstrap Color Classes</h2>

		<!-- color classes table -->
		<div class="container-fluid">
			<table class="table table-dark table-bordered">
				<thead>
					<tr>
						<th>text</th>
						<th>Background</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<a href="#" class="text-primary">Primary Link</a>
						</td>
						<td class="bg-primary text-white">
							Primary
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-secondary">Secondary Link</a>
						</td>
						<td class="bg-secondary text-white">
							Secondary
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-success">Success Link</a>
						</td>
						<td class="bg-success text-white">
							Sucess
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-danger">Danger Link</a>
						</td>
						<td class="bg-danger text-white">
							Danger
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-warning">Warning Link</a>
						</td>
						<td class="bg-warning text-white">
							Warning
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-info">Info Link</a>
						</td>
						<td class="bg-info text-white">
							Info
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-light">Light Link</a>
						</td>
						<td class="bg-light text-dark">
							Light
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-dark">Dark Link</a>
						</td>
						<td class="bg-dark text-white">
							Dark
						</td>
					</tr>
					<!-- <tr>
						<td>
							<a href="#" class="text-muted">Muted Link</a>
						</td>
						<td class="bg-muted text-white">
							Muted
						</td>
					</tr> -->
					<!-- <tr>
						<td>
							<a href="#" class="text-white">White Link</a>
						</td>
						<td class="bg-white text-dark">
							White
						</td>
					</tr> -->
				</tbody>
			</table>
		</div>
		<!-- end of color classes -->

		<!-- bootstrap text alignment classes table -->
		<h2>Boostrap Text Classes</h2>


		<table class="table table-dark table-bordered text-light">
			<thead>
				<tr>
					<th>Alignment</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="text-left">Left</td>
				</tr>
				<tr>
					<td class="text-center">Center</td>
				</tr>
				<tr>
					<td class="text-right">Right</td>
				</tr>
				<!-- For extra small screens or small mobile phones, we can avoid using breakpoints -->
				<!-- All mobile views in Google Chrome browser are considered small screen sizes -->
				<!-- Screen size is greater than or equal to 576px -->
				<!-- Larger mobile phones -->
				<tr>
					<td class="text-sm-center">Small Center</td>
				</tr>
				<!-- Screen size is greater than or equal to 786px -->
				            <!-- Tablets -->
				<tr>
					<td class="text-right text-md-left">Medium left</td>
				</tr>
				<!-- Screen size is greater than or equal to 922px -->
				<!-- Desktop -->
				<tr>
					<td class="text-lg-right">Large Right</td>
				</tr>
				<!-- Screen size is greater than or equal to 1200px -->
				            <!-- TV and other large screens -->
				<tr>
					<td class="text-xl-center">Extra Large Center</td>
				</tr>
			</tbody>
		</table>
		<!-- end ofbootstrap text alignment classes table -->

		<!-- bootstrap other text classes table -->
		<table class="table table-dark text-light table-bordered">

			<!-- for the difference of table-border and table bordered po is yung sa outside border po... You will notice that the foremost-left and foremost-right side of the table poay walang line kapag table-border while meron naman po kapag table-bordered -->
			<thead>
				<tr>
					<th>Text Transform</th>
				</tr>
			</thead>
			<tbody>
				<tr> 
					<td class="text-lowercase font-weight-bold">LOWERCASED BORDER TEXT
					</td>
				</tr>
				<tr> 
					<td class="text-uppercase font-weight-normal">uppercased normal text
					</td>
				</tr>
				<tr> 
					<td class="text-capitalize font-weight-light">capitalized light text
					</td>
				</tr>
				<tr> 
					<td>
						<!-- "text-decoration-none" class removes the underline from link texts -->
						<a href="#" class="text-decoration-non font-italic">Non-underlined Italic Link</a>
					</td>
				</tr>
			</tbody>
		</table>
		<!-- end of bootstrap other text classes table -->

		<!-- Boostrap Border and Sizing Classes Table -->
		<h2>Boostraip Border and Sizing Classes</h2>
		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>Border</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<div class="bg-info border-primary rounded">Rounded</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="bg-secondary border-white rounded-circle w-50">Rounded Circle</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="bg-warning border-danger rounded-pill w-75">Rounded Pill</div>
					</td>
				</tr>
			</tbody>
		</table>
		<!-- End Boostrap Border and Sizing Classes Table -->

		<!-- footer -->
		<div class="bg-primary text-light fixed-bottom p-1">
			Fixed bottom - Footer
		</div>
		<!-- end of footer -->













		<!-- Start of Bootstrap Script -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
		<!-- end of bootstrap script -->

	</body>
</html>

<!-- sm - mobile
md - tablet
lg - desktop
xl - large monitors/TV -->